package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportEntityStatDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanReportEntityStatDOMapper;

/**
* The Table abs_plan_report_entity_stat.
* ABS_PLAN_REPORT_ENTITY_STAT
*/
@Repository
public class PlanReportEntityStatDAO{

    @Autowired
    private PlanReportEntityStatDOMapper planReportEntityStatDOMapper;

    /**
     * desc:批量插入表:abs_plan_report_entity_stat.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanReportEntityStatDO> list){
        planReportEntityStatDOMapper.insertBatch(list);
        return  list.size(); 
    }
}
