package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 筛选规则表
 */
public class AstScreenRuleDO{

    /**
     * id .
     */
    private Long id;
    /**
     * relNo 关联编号.
     */
    private String relNo;
    /**
     * relType 关联类型 1.资产打包 PACK.
     */
    private String relType;
    /**
     * ruleType 规则类型.
     */
    private String ruleType;
    /**
     * leftValue 左值.
     */
    private String leftValue;
    /**
     * rightValue 右值.
     */
    private String rightValue;
    /**
     * leftCondition 左条件: 1.大于 GT 2.大于等于 GE.
     */
    private String leftCondition;
    /**
     * rightCondition 右条件: 1.小于 LT 2.小于等于 LE 3.等于 EQ 4.包含 IN.
     */
    private String rightCondition;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 更新时间.
     */
    private Date gmtModified;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set relNo 关联编号.
     */
    public void setRelNo(String relNo){
        this.relNo = relNo;
    }

    /**
     * Get relNo 关联编号.
     *
     * @return the string
     */
    public String getRelNo(){
        return relNo;
    }

    /**
     * Set relType 关联类型 1.资产打包 PACK.
     */
    public void setRelType(String relType){
        this.relType = relType;
    }

    /**
     * Get relType 关联类型 1.资产打包 PACK.
     *
     * @return the string
     */
    public String getRelType(){
        return relType;
    }

    /**
     * Set ruleType 规则类型.
     */
    public void setRuleType(String ruleType){
        this.ruleType = ruleType;
    }

    /**
     * Get ruleType 规则类型.
     *
     * @return the string
     */
    public String getRuleType(){
        return ruleType;
    }

    /**
     * Set leftValue 左值.
     */
    public void setLeftValue(String leftValue){
        this.leftValue = leftValue;
    }

    /**
     * Get leftValue 左值.
     *
     * @return the string
     */
    public String getLeftValue(){
        return leftValue;
    }

    /**
     * Set rightValue 右值.
     */
    public void setRightValue(String rightValue){
        this.rightValue = rightValue;
    }

    /**
     * Get rightValue 右值.
     *
     * @return the string
     */
    public String getRightValue(){
        return rightValue;
    }

    /**
     * Set leftCondition 左条件: 1.大于 GT 2.大于等于 GE.
     */
    public void setLeftCondition(String leftCondition){
        this.leftCondition = leftCondition;
    }

    /**
     * Get leftCondition 左条件: 1.大于 GT 2.大于等于 GE.
     *
     * @return the string
     */
    public String getLeftCondition(){
        return leftCondition;
    }

    /**
     * Set rightCondition 右条件: 1.小于 LT 2.小于等于 LE 3.等于 EQ 4.包含 IN.
     */
    public void setRightCondition(String rightCondition){
        this.rightCondition = rightCondition;
    }

    /**
     * Get rightCondition 右条件: 1.小于 LT 2.小于等于 LE 3.等于 EQ 4.包含 IN.
     *
     * @return the string
     */
    public String getRightCondition(){
        return rightCondition;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
