package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 产品表
 */
public class PlanDO{

    /**
     * id .
     */
    private Long id;
    /**
     * totalAmt 发行规模.
     */
    private Long totalAmt;
    /**
     * allocPeriod 兑付周期.
     */
    private Long allocPeriod;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * status 产品状态（设计中，已发行，已清算）.
     */
    private String status;
    /**
     * planName 产品简称.
     */
    private String planName;
    /**
     * gmtCreator 计划创建人.
     */
    private String gmtCreator;
    /**
     * tradePlace 交易场所.
     */
    private String tradePlace;
    /**
     * calcIntrType 计息方式/计息基准.
     */
    private String calcIntrType;
    /**
     * planFullName 产品全称.
     */
    private String planFullName;
    /**
     * allocPeriodMethod 兑付周期类型.
     */
    private String allocPeriodMethod;
    /**
     * endDate 法定到期日.
     */
    private Date endDate;
    /**
     * beginDate 产品成立日.
     */
    private Date beginDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * firstPayDate 首次转付日.
     */
    private Date firstPayDate;
    /**
     * firstCalcDate 首次计算日.
     */
    private Date firstCalcDate;
    /**
     * firstAllocDate 首次分配日.
     */
    private Date firstAllocDate;
    /**
     * firstReportDate 首次报告日.
     */
    private Date firstReportDate;
    /**
     * firstSettleDate 首次结息日.
     */
    private Date firstSettleDate;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set totalAmt 发行规模.
     */
    public void setTotalAmt(Long totalAmt){
        this.totalAmt = totalAmt;
    }

    /**
     * Get totalAmt 发行规模.
     *
     * @return the string
     */
    public Long getTotalAmt(){
        return totalAmt;
    }

    /**
     * Set allocPeriod 兑付周期.
     */
    public void setAllocPeriod(Long allocPeriod){
        this.allocPeriod = allocPeriod;
    }

    /**
     * Get allocPeriod 兑付周期.
     *
     * @return the string
     */
    public Long getAllocPeriod(){
        return allocPeriod;
    }

    /**
     * Set planNo 产品编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 产品编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 产品状态（设计中，已发行，已清算）.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 产品状态（设计中，已发行，已清算）.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set planName 产品简称.
     */
    public void setPlanName(String planName){
        this.planName = planName;
    }

    /**
     * Get planName 产品简称.
     *
     * @return the string
     */
    public String getPlanName(){
        return planName;
    }

    /**
     * Set gmtCreator 计划创建人.
     */
    public void setGmtCreator(String gmtCreator){
        this.gmtCreator = gmtCreator;
    }

    /**
     * Get gmtCreator 计划创建人.
     *
     * @return the string
     */
    public String getGmtCreator(){
        return gmtCreator;
    }

    /**
     * Set tradePlace 交易场所.
     */
    public void setTradePlace(String tradePlace){
        this.tradePlace = tradePlace;
    }

    /**
     * Get tradePlace 交易场所.
     *
     * @return the string
     */
    public String getTradePlace(){
        return tradePlace;
    }

    /**
     * Set calcIntrType 计息方式/计息基准.
     */
    public void setCalcIntrType(String calcIntrType){
        this.calcIntrType = calcIntrType;
    }

    /**
     * Get calcIntrType 计息方式/计息基准.
     *
     * @return the string
     */
    public String getCalcIntrType(){
        return calcIntrType;
    }

    /**
     * Set planFullName 产品全称.
     */
    public void setPlanFullName(String planFullName){
        this.planFullName = planFullName;
    }

    /**
     * Get planFullName 产品全称.
     *
     * @return the string
     */
    public String getPlanFullName(){
        return planFullName;
    }

    /**
     * Set allocPeriodMethod 兑付周期类型.
     */
    public void setAllocPeriodMethod(String allocPeriodMethod){
        this.allocPeriodMethod = allocPeriodMethod;
    }

    /**
     * Get allocPeriodMethod 兑付周期类型.
     *
     * @return the string
     */
    public String getAllocPeriodMethod(){
        return allocPeriodMethod;
    }

    /**
     * Set endDate 法定到期日.
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 法定到期日.
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set beginDate 产品成立日.
     */
    public void setBeginDate(Date beginDate){
        this.beginDate = beginDate;
    }

    /**
     * Get beginDate 产品成立日.
     *
     * @return the string
     */
    public Date getBeginDate(){
        return beginDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set firstPayDate 首次转付日.
     */
    public void setFirstPayDate(Date firstPayDate){
        this.firstPayDate = firstPayDate;
    }

    /**
     * Get firstPayDate 首次转付日.
     *
     * @return the string
     */
    public Date getFirstPayDate(){
        return firstPayDate;
    }

    /**
     * Set firstCalcDate 首次计算日.
     */
    public void setFirstCalcDate(Date firstCalcDate){
        this.firstCalcDate = firstCalcDate;
    }

    /**
     * Get firstCalcDate 首次计算日.
     *
     * @return the string
     */
    public Date getFirstCalcDate(){
        return firstCalcDate;
    }

    /**
     * Set firstAllocDate 首次分配日.
     */
    public void setFirstAllocDate(Date firstAllocDate){
        this.firstAllocDate = firstAllocDate;
    }

    /**
     * Get firstAllocDate 首次分配日.
     *
     * @return the string
     */
    public Date getFirstAllocDate(){
        return firstAllocDate;
    }

    /**
     * Set firstReportDate 首次报告日.
     */
    public void setFirstReportDate(Date firstReportDate){
        this.firstReportDate = firstReportDate;
    }

    /**
     * Get firstReportDate 首次报告日.
     *
     * @return the string
     */
    public Date getFirstReportDate(){
        return firstReportDate;
    }

    /**
     * Set firstSettleDate 首次结息日.
     */
    public void setFirstSettleDate(Date firstSettleDate){
        this.firstSettleDate = firstSettleDate;
    }

    /**
     * Get firstSettleDate 首次结息日.
     *
     * @return the string
     */
    public Date getFirstSettleDate(){
        return firstSettleDate;
    }
}
