package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorRecordDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.MonitorRecordPage;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_monitor_record.
 * 事件列表
 */
public interface PlanMonitorRecordDOMapper{

    /**
     * desc:插入表:abs_plan_monitor_record.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanMonitorRecordDO entity);
    /**
     * desc:获取监控事件列表:ABS_PLAN_MONITOR_RECORD.<br/>
     * @param monitorRecord monitorRecord
     * @return int
     */
    int getEventByPlanCount(MonitorRecordPage monitorRecord);
    /**
     * desc:获取监控事件列表:ABS_PLAN_MONITOR_RECORD.<br/>
     * @param monitorRecord monitorRecord
     * @return List<PlanMonitorRecordDO>
     */
    List<PlanMonitorRecordDO> getEventByPlanResult(MonitorRecordPage monitorRecord);
}
