package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanListResultMap;
import java.util.List;

/**
 * The table ABS_PLAN 计划信息
 */
public class PlanListPage extends BasePage<PlanListResultMap>{

    /**
     * passed .
     */
    private String passed;
    /**
     * userCode .
     */
    private String userCode;
    /**
     * planType .
     */
    private String planType;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * planName 产品简称.
     */
    private String planName;
    /**
     * planStatus .
     */
    private String planStatus;
    /**
     * list .
     */
    private List<String> list;

    /**
     * Set passed .
     */
    public void setPassed(String passed){
        this.passed = passed;
    }

    /**
     * Get passed .
     *
     * @return the string
     */
    public String getPassed(){
        return passed;
    }

    /**
     * Set userCode .
     */
    public void setUserCode(String userCode){
        this.userCode = userCode;
    }

    /**
     * Get userCode .
     *
     * @return the string
     */
    public String getUserCode(){
        return userCode;
    }

    /**
     * Set planType .
     */
    public void setPlanType(String planType){
        this.planType = planType;
    }

    /**
     * Get planType .
     *
     * @return the string
     */
    public String getPlanType(){
        return planType;
    }

    /**
     * Set planNo 产品编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 产品编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set planName 产品简称.
     */
    public void setPlanName(String planName){
        this.planName = planName;
    }

    /**
     * Get planName 产品简称.
     *
     * @return the string
     */
    public String getPlanName(){
        return planName;
    }

    /**
     * Set planStatus .
     */
    public void setPlanStatus(String planStatus){
        this.planStatus = planStatus;
    }

    /**
     * Get planStatus .
     *
     * @return the string
     */
    public String getPlanStatus(){
        return planStatus;
    }

    /**
     * Set list .
     */
    public void setList(List<String> list){
        this.list = list;
    }

    /**
     * Get list .
     *
     * @return the string
     */
    public List<String> getList(){
        return list;
    }
}
