package com.abssqr.plat.common.dal.mysql.auto.resultmap;

import java.io.Serializable;
import com.general.system.common.model.Money;
import java.util.Date;
import java.math.BigDecimal;


/**
 * The table AstPoolLoan
 */
public class AstPoolLoan  implements Serializable {

private static final long serialVersionUID = -1L;

    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * prinBal 贷款剩余本金.
     */
    private Money prinBal;
    /**
     * startDate 贷款日期.
     */
    private Date startDate;
    /**
     * freeTerm 贷款剩余期限.
     */
    private Long freeTerm;
    /**
     * rate 贷款利率.
     */
    private BigDecimal rate;
    /**
     * riskCl 五级分类.
     */
    private String riskCl;
    /**
     * repayPeriod 还款周期.
     */
    private Long repayPeriod;
    /**
     * repayPeriodType 还款周期类型.
     */
    private String repayPeriodType;
    /**
     * repayMethod 还款方式.
     */
    private String repayMethod;
    /**
     * planName 资产归属.
     */
    private String planName;




    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set prinBal 贷款剩余本金.
     */
    public void setPrinBal(Money prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal 贷款剩余本金.
     *
     * @return the string
     */
    public Money getPrinBal(){
        return prinBal;
    }

    /**
     * Set startDate 贷款日期.
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 贷款日期.
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set freeTerm 贷款剩余期限.
     */
    public void setFreeTerm(Long freeTerm){
        this.freeTerm = freeTerm;
    }

    /**
     * Get freeTerm 贷款剩余期限.
     *
     * @return the string
     */
    public Long getFreeTerm(){
        return freeTerm;
    }

    /**
     * Set rate 贷款利率.
     */
    public void setRate(BigDecimal rate){
        this.rate = rate;
    }

    /**
     * Get rate 贷款利率.
     *
     * @return the string
     */
    public BigDecimal getRate(){
        return rate;
    }

    /**
     * Set riskCl 五级分类.
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl 五级分类.
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set repayPeriod 还款周期.
     */
    public void setRepayPeriod(Long repayPeriod){
        this.repayPeriod = repayPeriod;
    }

    /**
     * Get repayPeriod 还款周期.
     *
     * @return the string
     */
    public Long getRepayPeriod(){
        return repayPeriod;
    }

    /**
     * Set repayPeriodType 还款周期类型.
     */
    public void setRepayPeriodType(String repayPeriodType){
        this.repayPeriodType = repayPeriodType;
    }

    /**
     * Get repayPeriodType 还款周期类型.
     *
     * @return the string
     */
    public String getRepayPeriodType(){
        return repayPeriodType;
    }

    /**
     * Set repayMethod 还款方式.
     */
    public void setRepayMethod(String repayMethod){
        this.repayMethod = repayMethod;
    }

    /**
     * Get repayMethod 还款方式.
     *
     * @return the string
     */
    public String getRepayMethod(){
        return repayMethod;
    }

    /**
     * Set planName 资产归属.
     */
    public void setPlanName(String planName){
        this.planName = planName;
    }

    /**
     * Get planName 资产归属.
     *
     * @return the string
     */
    public String getPlanName(){
        return planName;
    }



}
