/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.general.system.common.model.BaseEntity;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.report: ReportKey.java, v 0.1 2019-06-28 02:52 zhenxuan.luo Exp $ 
 */
public class ReportKey extends BaseEntity {
    
    private String statType;
    
    private String statVal;
    
    private String eventCode;
    
    public ReportKey(String statType, String statVal, String eventCode) {
        this.statType = statType;
        this.statVal = statVal;
        if (null == eventCode) {
            this.eventCode = "";
        } else {
            this.eventCode = eventCode;
        }
    }
    
    public ReportKey(String statType, String statVal, EventCodeEnum eventCode) {
        this(statType, statVal, (eventCode == null)?null:eventCode.getCode());
    }
}