/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.result.account;

import com.abssqr.plat.common.facade.enums.AccountAttributeEnum;
import com.abssqr.plat.common.facade.enums.AccountTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

/**
 * 账号
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.model.account: Account.java, v 0.1 2019-05-29 11:57 bangis.wangdf Exp $
 */
public class AccountVO extends BaseEntity implements Serializable {
    
    /**
     * 账户号
     */
    private              String               actNo;
    /**
     * 账号名
     */
    private              String               actName;
    
    public String getActNo() {
        return actNo;
    }
    
    public void setActNo(String actNo) {
        this.actNo = actNo;
    }
    
    public String getActName() {
        return actName;
    }
    
    public void setActName(String actName) {
        this.actName = actName;
    }
    
}
