/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.system;

import com.general.system.common.model.BaseEntity;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.system: HostInfo.java, v 0.1 2017-12-05 下午17:53 zhenxuan.luo Exp $ 
 */
public class HostInfo extends BaseEntity {
    /**
     * id
     */
    private Long id;
    
    /**
     * 服务器IP
     */
    private String hostIp;
    
    /**
     * 服务器名
     */
    private String hostName;
    
    /**
     * 最近启动
     */
    private Date lastBoot;
    
    /**
     * 最近心跳
     */
    private Date lastHeart;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getHostIp() {
        return hostIp;
    }
    
    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }
    
    public String getHostName() {
        return hostName;
    }
    
    public void setHostName(String hostName) {
        this.hostName = hostName;
    }
    
    public Date getLastBoot() {
        return lastBoot;
    }
    
    public void setLastBoot(Date lastBoot) {
        this.lastBoot = lastBoot;
    }
    
    public Date getLastHeart() {
        return lastHeart;
    }
    
    public void setLastHeart(Date lastHeart) {
        this.lastHeart = lastHeart;
    }
}