/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */


package com.abssqr.plat.common.model.repo.rule;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstScreenRuleDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.ScreenRulePage;
import com.abssqr.plat.common.facade.enums.AstScreenRelTypeEnum;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;

import java.util.List;

/**
 *
 * 筛选规则仓储
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.rule: AstScreenRuleRepo.java, v 0.1 2018-03-06 下午2:19 yaphet Exp $
 */
public interface AstScreenRuleRepo {


    /**
     * 批量插入筛选规则
     * @param list
     * @return
     */
    int insertBatch( List<AstScreenRule> list);

    /**
     * 获取筛选规则
     * @param packNo
     * @return
     */
    List<AstScreenRule> getScreenRuleList(String packNo);
}
