/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.core.service.rule;

import com.abssqr.plat.common.model.domain.ast.AstPack;
import com.abssqr.plat.common.model.repo.ast.LoanPackRelRepo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.core.service.rule: AstScreenRuleComponent.java, v 0.1 2020-04-26 14:36 bangis.wangdf Exp $ 
 */
@Component
public class AstScreenRuleComponent {
    @Autowired
    LoanPackRelRepo loanPackRelRepo;
    /**
     * 筛选资产包
     * @param astPack
     * @return
     */
    public int screenAst(AstPack astPack) {
        return loanPackRelRepo.screenAst(astPack.getPackNo(),astPack.getAstPoolNo(),astPack.getAstType(),astPack.getScreenRuleList());
    }
}
