package com.abssqr.plat.web.controller.ast;

import cn.hutool.poi.excel.ExcelUtil;
import cn.hutool.poi.excel.ExcelWriter;
import com.abssqr.plat.common.facade.enums.LoanFieldEnum;
import com.abssqr.plat.common.facade.param.ast.AstDownLoadParam;
import com.abssqr.plat.common.facade.service.ast.AstPoolService;
import com.abssqr.plat.common.facade.service.ast.AstService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.UnsupportedEncodingException;

@RestJsonController
public class AstController {
    @Autowired
    private AstService astService;
    @GetMapping("ast/getField.json")
    public BaseResult<LoanFieldEnum> getField(){
        return BaseResult.success(LoanFieldEnum.values());
    }

    @PostMapping("ast/downLoadLoans")
    public void downLoadPackExcel(@RequestBody AstDownLoadParam astDownLoadParam,HttpServletResponse response){
        astService.downLoadAstFile(astDownLoadParam,response);
    }


}
