package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanDOMapper;

/**
* The Table abs_plan.
* 产品表
*/
@Repository
public class PlanDAO{

    @Autowired
    private PlanDOMapper planDOMapper;

    /**
     * desc:插入表:abs_plan.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanDO entity){
        return planDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanDO> list){
        planDOMapper.insertBatch(list);
        return  list.size(); 
    }
}
