package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanInvestStructureDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanInvestStructureDOMapper;

/**
* The Table abs_plan_invest_structure.
* ABS_PLAN_INVEST_STRUCTURE
*/
@Repository
public class PlanInvestStructureDAO{

    @Autowired
    private PlanInvestStructureDOMapper planInvestStructureDOMapper;

    /**
     * desc:插入表:abs_plan_invest_structure.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanInvestStructureDO entity){
        return planInvestStructureDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_invest_structure.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanInvestStructureDO> list){
        planInvestStructureDOMapper.insertBatch(list);
        return  list.size(); 
    }
}
