package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 资产-包关系表
 */
public class LoanPackRelDO{

    /**
     * backCost 赎回价格.
     */
    private Long backCost;
    /**
     * backPrin 赎回本金.
     */
    private Long backPrin;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * backNo 赎回编号.
     */
    private String backNo;
    /**
     * packNo 资产包编号.
     */
    private String packNo;
    /**
     * status 状态，归属 IN，赎回 BACK.
     */
    private String status;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * repayFinalDate 还款最后归属日.
     */
    private Date repayFinalDate;
    /**
     * backRate 赎回定价.
     */
    private BigDecimal backRate;

    /**
     * Set backCost 赎回价格.
     */
    public void setBackCost(Long backCost){
        this.backCost = backCost;
    }

    /**
     * Get backCost 赎回价格.
     *
     * @return the string
     */
    public Long getBackCost(){
        return backCost;
    }

    /**
     * Set backPrin 赎回本金.
     */
    public void setBackPrin(Long backPrin){
        this.backPrin = backPrin;
    }

    /**
     * Get backPrin 赎回本金.
     *
     * @return the string
     */
    public Long getBackPrin(){
        return backPrin;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set backNo 赎回编号.
     */
    public void setBackNo(String backNo){
        this.backNo = backNo;
    }

    /**
     * Get backNo 赎回编号.
     *
     * @return the string
     */
    public String getBackNo(){
        return backNo;
    }

    /**
     * Set packNo 资产包编号.
     */
    public void setPackNo(String packNo){
        this.packNo = packNo;
    }

    /**
     * Get packNo 资产包编号.
     *
     * @return the string
     */
    public String getPackNo(){
        return packNo;
    }

    /**
     * Set status 状态，归属 IN，赎回 BACK.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 状态，归属 IN，赎回 BACK.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set repayFinalDate 还款最后归属日.
     */
    public void setRepayFinalDate(Date repayFinalDate){
        this.repayFinalDate = repayFinalDate;
    }

    /**
     * Get repayFinalDate 还款最后归属日.
     *
     * @return the string
     */
    public Date getRepayFinalDate(){
        return repayFinalDate;
    }

    /**
     * Set backRate 赎回定价.
     */
    public void setBackRate(BigDecimal backRate){
        this.backRate = backRate;
    }

    /**
     * Get backRate 赎回定价.
     *
     * @return the string
     */
    public BigDecimal getBackRate(){
        return backRate;
    }
}
