package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 计划结算科目信息（收付实现制）
 */
public class PlanAcctTitleLogDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * bizNo .
     */
    private String bizNo;
    /**
     * refNo 对应金额类型编号.
     */
    private String refNo;
    /**
     * seqNo .
     */
    private String seqNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * titleNo 科目编号.
     */
    private String titleNo;
    /**
     * acctEvent 科目事件码.
     */
    private String acctEvent;
    /**
     * titleName 科目名称.
     */
    private String titleName;
    /**
     * titleType 科目类型.
     */
    private String titleType;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * accountDate 会记日.
     */
    private Date accountDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * afBal 余额-后.
     */
    private Money afBal;
    /**
     * bfBal 余额-前.
     */
    private Money bfBal;
    /**
     * acctAmt 发生额.
     */
    private Money acctAmt;
    /**
     * vtaxAmt 增值税发生额.
     */
    private Money vtaxAmt;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set bizNo .
     */
    public void setBizNo(String bizNo){
        this.bizNo = bizNo;
    }

    /**
     * Get bizNo .
     *
     * @return the string
     */
    public String getBizNo(){
        return bizNo;
    }

    /**
     * Set refNo 对应金额类型编号.
     */
    public void setRefNo(String refNo){
        this.refNo = refNo;
    }

    /**
     * Get refNo 对应金额类型编号.
     *
     * @return the string
     */
    public String getRefNo(){
        return refNo;
    }

    /**
     * Set seqNo .
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo .
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set titleNo 科目编号.
     */
    public void setTitleNo(String titleNo){
        this.titleNo = titleNo;
    }

    /**
     * Get titleNo 科目编号.
     *
     * @return the string
     */
    public String getTitleNo(){
        return titleNo;
    }

    /**
     * Set acctEvent 科目事件码.
     */
    public void setAcctEvent(String acctEvent){
        this.acctEvent = acctEvent;
    }

    /**
     * Get acctEvent 科目事件码.
     *
     * @return the string
     */
    public String getAcctEvent(){
        return acctEvent;
    }

    /**
     * Set titleName 科目名称.
     */
    public void setTitleName(String titleName){
        this.titleName = titleName;
    }

    /**
     * Get titleName 科目名称.
     *
     * @return the string
     */
    public String getTitleName(){
        return titleName;
    }

    /**
     * Set titleType 科目类型.
     */
    public void setTitleType(String titleType){
        this.titleType = titleType;
    }

    /**
     * Get titleType 科目类型.
     *
     * @return the string
     */
    public String getTitleType(){
        return titleType;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set accountDate 会记日.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会记日.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set afBal 余额-后.
     */
    public void setAfBal(Money afBal){
        this.afBal = afBal;
    }

    /**
     * Get afBal 余额-后.
     *
     * @return the string
     */
    public Money getAfBal(){
        if(afBal==null){
            return new Money();
        }
        return afBal;
    }

    /**
     * Set bfBal 余额-前.
     */
    public void setBfBal(Money bfBal){
        this.bfBal = bfBal;
    }

    /**
     * Get bfBal 余额-前.
     *
     * @return the string
     */
    public Money getBfBal(){
        if(bfBal==null){
            return new Money();
        }
        return bfBal;
    }

    /**
     * Set acctAmt 发生额.
     */
    public void setAcctAmt(Money acctAmt){
        this.acctAmt = acctAmt;
    }

    /**
     * Get acctAmt 发生额.
     *
     * @return the string
     */
    public Money getAcctAmt(){
        if(acctAmt==null){
            return new Money();
        }
        return acctAmt;
    }

    /**
     * Set vtaxAmt 增值税发生额.
     */
    public void setVtaxAmt(Money vtaxAmt){
        this.vtaxAmt = vtaxAmt;
    }

    /**
     * Get vtaxAmt 增值税发生额.
     *
     * @return the string
     */
    public Money getVtaxAmt(){
        if(vtaxAmt==null){
            return new Money();
        }
        return vtaxAmt;
    }
}
