package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 转让控制任务
 */
public class TrCtrTaskDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * execTms .
     */
    private Long execTms;
    /**
     * preTrCnt 预转让笔试.
     */
    private Long preTrCnt;
    /**
     * status .
     */
    private String status;
    /**
     * batchNo 批次号.
     */
    private String batchNo;
    /**
     * packCode 资产包编号.
     */
    private String packCode;
    /**
     * packType 资产包类型转让、回购.
     */
    private String packType;
    /**
     * managerOrgCode .
     */
    private String managerOrgCode;
    /**
     * tfrDate 转让日期.
     */
    private Date tfrDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * preTrAmt 预转让金额.
     */
    private Money preTrAmt;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set execTms .
     */
    public void setExecTms(Long execTms){
        this.execTms = execTms;
    }

    /**
     * Get execTms .
     *
     * @return the string
     */
    public Long getExecTms(){
        return execTms;
    }

    /**
     * Set preTrCnt 预转让笔试.
     */
    public void setPreTrCnt(Long preTrCnt){
        this.preTrCnt = preTrCnt;
    }

    /**
     * Get preTrCnt 预转让笔试.
     *
     * @return the string
     */
    public Long getPreTrCnt(){
        return preTrCnt;
    }

    /**
     * Set status .
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status .
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set batchNo 批次号.
     */
    public void setBatchNo(String batchNo){
        this.batchNo = batchNo;
    }

    /**
     * Get batchNo 批次号.
     *
     * @return the string
     */
    public String getBatchNo(){
        return batchNo;
    }

    /**
     * Set packCode 资产包编号.
     */
    public void setPackCode(String packCode){
        this.packCode = packCode;
    }

    /**
     * Get packCode 资产包编号.
     *
     * @return the string
     */
    public String getPackCode(){
        return packCode;
    }

    /**
     * Set packType 资产包类型转让、回购.
     */
    public void setPackType(String packType){
        this.packType = packType;
    }

    /**
     * Get packType 资产包类型转让、回购.
     *
     * @return the string
     */
    public String getPackType(){
        return packType;
    }

    /**
     * Set managerOrgCode .
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode .
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set tfrDate 转让日期.
     */
    public void setTfrDate(Date tfrDate){
        this.tfrDate = tfrDate;
    }

    /**
     * Get tfrDate 转让日期.
     *
     * @return the string
     */
    public Date getTfrDate(){
        return tfrDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set preTrAmt 预转让金额.
     */
    public void setPreTrAmt(Money preTrAmt){
        this.preTrAmt = preTrAmt;
    }

    /**
     * Get preTrAmt 预转让金额.
     *
     * @return the string
     */
    public Money getPreTrAmt(){
        if(preTrAmt==null){
            return new Money();
        }
        return preTrAmt;
    }
}
