package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanInstalLogDO;
import java.util.List;
import java.util.Date;
import java.lang.Long;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_instal_log.
 * 分期变更流水
 */
public interface LoanInstalLogDOMapper{

    /**
     * desc:批量插入表:abs_loan_instal_log.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<LoanInstalLogDO> list);
    /**
     * desc:计算金融服务费.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @return Long
     */
    Long calcOrgDistPftAmt(@Param("accountDate")Date accountDate,@Param("orgCode")String orgCode);
    /**
     * desc:计算金融服务费.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @return Long
     */
    Long calcOrgDistPftApporAmt(@Param("accountDate")Date accountDate,@Param("orgCode")String orgCode);
}
