package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocItemDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_alloc_item.
 * 分配计划事项表
 */
public interface PlanAllocItemDOMapper{

    /**
     * desc:插入表:abs_plan_alloc_item.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAllocItemDO entity);
    /**
     * desc:批量插入表:abs_plan_alloc_item.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAllocItemDO> list);
    /**
     * desc:根据主键删除数据:abs_plan_alloc_item.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:abs_plan_alloc_item.<br/>
     * @param id id
     * @return PlanAllocItemDO
     */
    PlanAllocItemDO getById(@Param("id")Long id);
}
