package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan.
 * 产品表
 */
public interface PlanDOMapper{

    /**
     * desc:插入表:abs_plan.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanDO entity);
    /**
     * desc:批量插入表:abs_plan.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanDO> list);
}
