package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstScreenRuleDO;
import java.util.Date;

/**
 * The table ABS_AST_SCREEN_RULE 资产筛选规则
 */
public class ScreenRulePage extends BasePage<AstScreenRuleDO>{

    /**
     * abssqrProdCode 内部产品码.
     */
    private String abssqrProdCode;
    /**
     * lenderOrgCode 原始权益机构.
     */
    private String lenderOrgCode;
    /**
     * screenRuleName 资产筛选规则编号.
     */
    private String screenRuleName;
    /**
     * createStart .
     */
    private Date createStart;
    /**
     * createEnd .
     */
    private Date createEnd;
    /**
     * approveStatus 审批状态.
     */
    private String approveStatus;
    /**
     * userCode .
     */
    private String userCode;
    /**
     * screenType 筛选类型 转让、回购.
     */
    private String screenType;

    /**
     * Set abssqrProdCode 内部产品码.
     */
    public void setAbssqrProdCode(String abssqrProdCode){
        this.abssqrProdCode = abssqrProdCode;
    }

    /**
     * Get abssqrProdCode 内部产品码.
     *
     * @return the string
     */
    public String getAbssqrProdCode(){
        return abssqrProdCode;
    }

    /**
     * Set lenderOrgCode 原始权益机构.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set screenRuleName 资产筛选规则编号.
     */
    public void setScreenRuleName(String screenRuleName){
        this.screenRuleName = screenRuleName;
    }

    /**
     * Get screenRuleName 资产筛选规则编号.
     *
     * @return the string
     */
    public String getScreenRuleName(){
        return screenRuleName;
    }

    /**
     * Set createStart .
     */
    public void setCreateStart(Date createStart){
        this.createStart = createStart;
    }

    /**
     * Get createStart .
     *
     * @return the string
     */
    public Date getCreateStart(){
        return createStart;
    }

    /**
     * Set createEnd .
     */
    public void setCreateEnd(Date createEnd){
        this.createEnd = createEnd;
    }

    /**
     * Get createEnd .
     *
     * @return the string
     */
    public Date getCreateEnd(){
        return createEnd;
    }

    /**
     * Set approveStatus 审批状态.
     */
    public void setApproveStatus(String approveStatus){
        this.approveStatus = approveStatus;
    }

    /**
     * Get approveStatus 审批状态.
     *
     * @return the string
     */
    public String getApproveStatus(){
        return approveStatus;
    }

    /**
     * Set userCode .
     */
    public void setUserCode(String userCode){
        this.userCode = userCode;
    }

    /**
     * Get userCode .
     *
     * @return the string
     */
    public String getUserCode(){
        return userCode;
    }

    /**
     * Set screenType 筛选类型 转让、回购.
     */
    public void setScreenType(String screenType){
        this.screenType = screenType;
    }

    /**
     * Get screenType 筛选类型 转让、回购.
     *
     * @return the string
     */
    public String getScreenType(){
        return screenType;
    }
}
