package com.abssqr.plat.common.facade.model.holiday;

import com.abssqr.plat.common.facade.enums.HolidayTypeEnum;

/**
 * 节假日
 */
public class Holiday {
    
    /**
     * id ID.
     */
    private Long id;
    /**
     * memo MEMO.
     */
    private String memo;
    /**
     * orgCode ORG_CODE.
     */
    private String orgCode;
    /**
     * dateInfo DATE_INFO.
     */
    private String dateInfo;
    /**
     * dateType DATE_TYPE.
     */
    private HolidayTypeEnum dateType;
    
    /**
     * Set id ID.
     */
    public void setId(Long id){
        this.id = id;
    }
    
    /**
     * Get id ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set memo MEMO.
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * Get memo MEMO.
     *
     * @return the string
     */
    public String getMemo() {
        return memo;
    }

    /**
     * Set orgCode ORG_CODE.
     */
    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    /**
     * Get orgCode ORG_CODE.
     *
     * @return the string
     */
    public String getOrgCode() {
        return orgCode;
    }


    public String getDateInfo() {
        return dateInfo;
    }

    public void setDateInfo(String dateInfo) {
        this.dateInfo = dateInfo;
    }

    public HolidayTypeEnum getDateType() {
        return dateType;
    }

    public void setDateType(HolidayTypeEnum dateType) {
        this.dateType = dateType;
    }
}
