/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.plan;


import com.abssqr.plat.common.facade.model.account.Account;

import java.util.List;

/**
 * 计划
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.plan: Plan.java, v 0.1 2019-05-29 11:21 bangis.wangdf Exp $
 */
public class Plan extends PlanBase {

    /**
     * 费用结构
     */
    private List<FeeStructure>      feeStructure;

    /**
     * 投资结构
     */
    private List<InvestStructure> investStructure;


    public List<FeeStructure> getFeeStructure() {
        return feeStructure;
    }

    public void setFeeStructure(List<FeeStructure> feeStructure) {
        this.feeStructure = feeStructure;
    }

    public List<InvestStructure> getInvestStructure() {
        return investStructure;
    }

    public void setInvestStructure(List<InvestStructure> investStructure) {
        this.investStructure = investStructure;
    }
}
