/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.dataChange;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;

import java.io.Serializable;

/**
 *
 * @author yangcheng
 * @version BizDataChangeParam.java, v0.12019-06-1223:53 yangchengExp$
 */
public class BizDataChangeParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = 7112528047534076389L;
    /**
     * changeNo 变更编号
     */
    private String changeNo;
    /**
     * name     变更名称-同审批流名称
     */
    private String name;
    /**
     * datas    变更后数据
     */
    private String datas;
    /**
     * bizType  业务类型
     */
    private String bizType;
    /**
     * bizNo    业务编号
     */
    private String bizNo;
    /**
     * approveStatus 最终审批状态    PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),
     */
    private String approveStatus;
    
    @Override
    public EventCodeEnum getEventCode() {
        return null;
    }
    
    public String getChangeNo() {
        return changeNo;
    }
    
    public void setChangeNo(String changeNo) {
        this.changeNo = changeNo;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getDatas() {
        return datas;
    }
    
    public void setDatas(String datas) {
        this.datas = datas;
    }
    
    public String getBizType() {
        return bizType;
    }
    
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public String getApproveStatus() {
        return approveStatus;
    }
    
    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }
}
