/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.org;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.param.plan.PlanQryParam;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.org: OrgQryParam.java, v 0.1 2019-05-28 11:06 zhenxuan.luo Exp $
 */
public class OrgEntityQryParam extends PlanQryParam {

    private static final long   serialVersionUID = -4603694613291531526L;
    public void setEntityCode(String entityCode) {
        this.setPlanNo(entityCode);
        this.setPlanType(PlanTypeEnum.SPV.getCode());
    }

}