/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.alloc: PlanAllocDetailQryParam.java, v 0.1 2019-06-04 14:04 bangis.wangdf Exp $
 */
public class PlanAllocAssignedOprParam extends BaseOprParam {
    private static final long   serialVersionUID = -5703768175383219708L;
    @VldString(message = "分配计划编号不能为空")
    private              String allocNo;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }

    public String getAllocNo() {
        return allocNo;
    }

    public void setAllocNo(String allocNo) {
        this.allocNo = allocNo;
    }
}
