/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.reportForm;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.param.base.CommonPlanQryParam;

/**
 *
 * @author yangcheng
 * @version ReportFormAstParam.java, v0.12019-06-2819:24 yangchengExp$
 */
public class ReportFormAstParam extends CommonPlanQryParam {
    private static final long serialVersionUID = -4879023910968299546L;
    
    /**
     * planType 计划类型
     */
    private String planType;
    /**
     * beginDate 开始时间
     */
    private String beginDate;
    /**
     * endDate 结束时间  --如果为空则默认到当天
     */
    private String endDate;
    
    public String getBeginDate() {
        return beginDate;
    }
    
    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }
    
    public String getEndDate() {
        return endDate;
    }
    
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
    
    public String getPlanType() {
        return planType;
    }
    
    public void setPlanType(String planType) {
        this.planType = planType;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
}