package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleDO;
import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAcctTitle;

public class PlanAcctTitleConvert {
    public PlanAcctTitle convert2Entity(PlanAcctTitleDO var){
        PlanAcctTitle result=new PlanAcctTitle();
        result.setPlanNo(var.getPlanNo());
        result.setRefNo(var.getRefNo());
        result.setTitleName(var.getTitleName());
        result.setTitleNo(var.getTitleNo());
        result.setTitleType(TitleTypeEnum.getByCode(var.getTitleType()));
        return result;
    }
    public static PlanAcctTitleDO convert2DO(PlanAcctTitle var){
        PlanAcctTitleDO result=new PlanAcctTitleDO();
        result.setPlanNo(var.getPlanNo());
        result.setRefNo(var.getRefNo());
        result.setTitleName(var.getTitleName());
        result.setTitleNo(var.getTitleNo());
        result.setTitleType(var.getTitleType().getCode());
        return result;
    }


}
