package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocItemDO;
import com.abssqr.plat.common.facade.enums.AllocTypeEmun;
import com.abssqr.plat.common.facade.model.plan.PlanAllocItem;

public class PlanAllocItemConvert {
    public static PlanAllocItem convert2Entity(PlanAllocItemDO var){
        PlanAllocItem result=new PlanAllocItem();
        result.setAllocNo(var.getAllocNo());
        result.setItemNo(var.getItemNo());
        result.setPlanNo(var.getPlanNo());
        result.setOrder(var.getOrder().intValue());
        result.setTitleNo(var.getTitleNo());
        result.setAllocType(AllocTypeEmun.getByCode(var.getAllocType()));
        result.setTitleName(var.getTitleName());
        return result;
    }
    public static PlanAllocItemDO convert2DO(PlanAllocItem var){
        PlanAllocItemDO result=new PlanAllocItemDO();
        result.setAllocNo(var.getAllocNo());
        result.setItemNo(var.getItemNo());
        result.setPlanNo(var.getPlanNo());
        result.setOrder(new Long(var.getOrder()));
        result.setTitleNo(var.getTitleNo());
        result.setAllocType(var.getAllocType().getCode());
        result.setTitleName(var.getTitleName());
        return result;
    }
}
