/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;
import com.google.common.collect.Maps;

import java.util.Date;
import java.util.Map;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: AstPoolEntity.java, v 0.1 2019-06-19 22:24 zhenxuan.luo Exp $
 */
public class AstPoolEntity extends BaseEntity {
    /**
     * 资产编号
     */
    private String         astPoolName;
    /**
     * 资产管理机构
     */
    private AstTypeEnum    astTypeEnum;
    /**
     * 资产所属机构 放款池计划
     */
    private String         astPoolNo;

    private String         prodNo;

    public String getAstPoolName() {
        return astPoolName;
    }

    public void setAstPoolName(String astPoolName) {
        this.astPoolName = astPoolName;
    }

    public AstTypeEnum getAstTypeEnum() {
        return astTypeEnum;
    }

    public void setAstTypeEnum(AstTypeEnum astTypeEnum) {
        this.astTypeEnum = astTypeEnum;
    }

    public String getAstPoolNo() {
        return astPoolNo;
    }

    public void setAstPoolNo(String astPoolNo) {
        this.astPoolNo = astPoolNo;
    }

    public String getProdNo() {
        return prodNo;
    }

    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }
}