/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.clearing;

import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.general.system.common.model.BaseEntity;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.clearing: PlanClearingLogKey.java, v 0.1 2019-07-12 15:08 zhenxuan.luo Exp $ 
 */
public class PlanClearingLogKey extends BaseEntity {
    /**
     * 发起方
     */
    private String planNo;
    /**
     * 交易对手
     */
    private String cntPtyCode;
    /**
     * 交易编码
     */
    private TransCodeEnum transCode;
    
    public PlanClearingLogKey(String planNo, String cntPtyCode, TransCodeEnum transCode) {
        this.planNo = planNo;
        this.cntPtyCode = cntPtyCode;
        this.transCode = transCode;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getCntPtyCode() {
        return cntPtyCode;
    }
    
    public void setCntPtyCode(String cntPtyCode) {
        this.cntPtyCode = cntPtyCode;
    }
    
    public TransCodeEnum getTransCode() {
        return transCode;
    }
    
    public void setTransCode(TransCodeEnum transCode) {
        this.transCode = transCode;
    }
}