/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.exception;

import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;

import java.io.Serializable;

/**
 * 数据库异常定义
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrDBException.java, v 0.1 2017-06-06 上午11:33 zhenxuan.luo Exp $ 
 */
public class AbssqrDBException extends AbssqrSystemException implements Serializable {
    
    private static final long   serialVersionUID = -4754817486508524578L;
    
    public AbssqrDBException(String message, Throwable e) {
        super(message, e);
        this.errCode = CommonErrorCodeEnum.DAL_ERROR;
        this.isCanRetry = true;
    }
    
    public AbssqrDBException(String message) {
        this(message, null);
    }
}