/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.facade.model.plan.InvestStructure;

import java.util.List;

/**
 * @author yaphet
 * @version com.abssqr.admin.common.model.repo.plan: PlanInvestStructureRepo.java, v 0.1 2018-01-19 下午12:45 yaphet Exp $
 */
public interface PlanInvestStructureRepo {

    /**
     * 获取投资结构
     * @param planNo
     * @return
     */
    List<InvestStructure> selectByPlanNo(String planNo);

    /**
     * 根据计划清理投资结构
     * @param planNo
     */
    void cleanByPlanNo(String planNo);

    /**
     * 增加投资结构
     * @param planNo
     * @param investStructures
     */
    void add(String planNo, List<InvestStructure> investStructures);
}
