/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.prod;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.ProductRiskClDO;
import com.abssqr.plat.common.facade.model.prod.ProductRiskCl;

import java.util.List;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.prod: LoanProdRiskClRepository.java, v 0.1 2018-01-05 下午7:59 guozhenhua Exp $
 */
public interface LoanProdRiskClRepository {
    
    /**
     * 根据abs内部产品码查询产品五级分类
     *
     * @param absProdCode
     * @return
     */
    List<ProductRiskCl> queryByAbsProdCode(String absProdCode);
    
    Integer deleteProductRiskClByAbssqrProdCode(String abssqrProdCode);
    
    Integer insertBatch(List<ProductRiskClDO> list);
    
}
