drop table ABS_PLAN_ACCT_TITLE;

CREATE TABLE ABS_PLAN_ACCT_TITLE
(
  ID NUMBER(10) PRIMARY KEY,
  TITLE_NO VARCHAR2(128),
  REF_NO VARCHAR2(128),
  PLAN_NO VARCHAR2(128),
  TITLE_NAME VARCHAR2(128),
  TITLE_TYPE VARCHAR2(64),
  GMT_CREATE DATE,
  GMT_MODIFIED DATE
);
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.ID IS '唯一主键';
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.TITLE_NO IS '科目编号';
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.REF_NO IS '对应资金编号';
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.PLAN_NO IS '计划编号';
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.TITLE_NAME IS '科目名称';
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.TITLE_TYPE IS '科目类型(本金，利息，费用)';
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.GMT_CREATE IS '创建日期';
COMMENT ON COLUMN ABS_PLAN_ACCT_TITLE.GMT_MODIFIED IS 'GMT_MODIFIED';


-- 序列号
drop SEQUENCE SEQ_ABS_PLAN_ACCT_TITLE;

CREATE SEQUENCE  SEQ_ABS_PLAN_ACCT_TITLE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
