drop table ABS_PLAN_ALLOC_ITEM;

CREATE TABLE ABS_PLAN_ALLOC_ITEM
(
    ID NUMBER(10) PRIMARY KEY,
    ITEM_NO VARCHAR(128),
    PLAN_NO VARCHAR(128),
    ALLOC_NO VARCHAR(128),
    TITLE_NO VARCHAR(128),
    TITLE_NAME VARCHAR2(128),
    ALLOC_TYPE VARCHAR2(128),
    ORDER  NUMBER(4,0),
    GMT_CREATE DATE,
    GMT_MODIFIED DATE
);
COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.ID IS '唯一id';
COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.ITEM_NO IS '事项编号';
COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.PLAN_NO IS '计划编号';
COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.ALLOC_NO IS '分配编号';
COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.TITLE_NO IS '科目编号';

COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.TITLE_NAME IS '分配事项名称';
COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.ALLOC_TYPE IS '分配类型';


COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.GMT_CREATE IS '创建时间';
COMMENT ON COLUMN ABS_PLAN_ALLOC_ITEM.GMT_MODIFIED IS '更新时间';
COMMENT ON TABLE ABS_PLAN_ALLOC_ITEM IS '分配计划事项表';




-- 序列号
drop SEQUENCE SEQ_ABS_PLAN_ALLOC_ITEM;

CREATE SEQUENCE  SEQ_ABS_PLAN_ALLOC_ITEM MINVALUE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
